ome-qtwidgets 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

ome::qtwidgets::TexelProperties< int > Struct Template Reference

Map a given PixelType enum to the corresponding GL texel definitions. More...

`#include <ome/qtwidgets/TexelProperties.h>`

## Detailed Description

### template<int>
struct ome::qtwidgets::TexelProperties< int >

Map a given PixelType enum to the corresponding GL texel definitions.

This is an extension of PixelProperties for GL texture handling.

Internal format fallbacks provide the means to render with reduced quality if the hardware does not support the internal format, or if memory requirements require a smaller format. External formal format fallbacks allow further regression at the expense of requiring explicit format conversion by the user. In practice, the internal format fallbacks will provide a similar and perhaps more extensive set of fallbacks than following the external fallback chain. However, the external fallbacks may be useful if system memory is under pressure.

All simple formats use single channel, while complex types use two. However, note these are hints for defaults only. The user may choose to pack multiple channels into a single texture.

Conversion indicates that the GL type and PixelTypes do not match exactly. The user will be required to convert the type.

Normalization indicates that the GL implementation will not automatically normalize the pixel values, and the user will be required to do this for themselves, for example in a fragment shader.

Minification and magnification filters are also hints. These default to a high filtering quality for all types except BIT, where the mask is clamped to the nearest pixel.

The documentation for this struct was generated from the following file:

- ome/qtwidgets/TexelProperties.h